質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.45%
Java

Javaは、1995年にサン・マイクロシステムズが開発したプログラミング言語です。表記法はC言語に似ていますが、既存のプログラミング言語の短所を踏まえていちから設計されており、最初からオブジェクト指向性を備えてデザインされています。セキュリティ面が強力であることや、ネットワーク環境での利用に向いていることが特徴です。Javaで作られたソフトウェアは基本的にいかなるプラットフォームでも作動します。

Gradle

Gradleは、ビルド自動化ツールです。 ソフトウェアパッケージやドキュメント、 または実際に何か他の種類のプロジェクトの構築、テスト、公開、展開などを自動化が出来ます

Q&A

解決済

1回答

15762閲覧

Gradleのビルドが成功しません。

aaaich

総合スコア50

Java

Javaは、1995年にサン・マイクロシステムズが開発したプログラミング言語です。表記法はC言語に似ていますが、既存のプログラミング言語の短所を踏まえていちから設計されており、最初からオブジェクト指向性を備えてデザインされています。セキュリティ面が強力であることや、ネットワーク環境での利用に向いていることが特徴です。Javaで作られたソフトウェアは基本的にいかなるプラットフォームでも作動します。

Gradle

Gradleは、ビルド自動化ツールです。 ソフトウェアパッケージやドキュメント、 または実際に何か他の種類のプロジェクトの構築、テスト、公開、展開などを自動化が出来ます

0グッド

0クリップ

投稿2021/10/30 04:18

HelloWorldを表示させたいのですが以下のような表示が出てビルドが失敗します

一応一通りエラー内容をググってみたのですが、よくわからず

以下のサイトを参考にしました
参考サイト
リンク
https://wanna-be-buddha.com/contents/it/programming/java/252/

以下エラー内容

  • Where:

Settings file 'C:\workspace\GradleApp\settings.gradle'

  • What went wrong:

Could not compile settings file 'C:\workspace\GradleApp\settings.gradle'.

startup failed:

General error during semantic analysis: Unsupported class file major version 61

以下settings.gradleの中身

/*

*/

rootProject.name = 'GradleApp'
include('app')

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

cx20

2021/10/30 04:30

使用されているJavaのバージョンはいくつでしょうか?
aaaich

2021/10/30 04:38

17.0.1です
aaaich

2021/10/30 04:39

高すぎると対応してないということなんでしょうかね
cx20

2021/10/30 05:17

以下に Gradle と Java の互換性マトリックスの記載がありました。 Gradle 6.x の場合、Java 16 未満を使用する必要があるようです。 ■ Compatibility Matrix https://docs.gradle.org/current/userguide/compatibility.html > Gradleを実行するには、8〜16のJavaバージョンが必要です。 Java17以降のバージョンはまだサポートされていません。
guest

回答1

0

ベストアンサー

特段、Gradle に詳しい分けではありませんが・・

高すぎると対応してないということなんでしょうかね

そうですね。その可能性が高そうです。
使用されている Gradle が 6.x の場合、Java 16 に対応していないようなので、Java 17 も同様かと思います。

■ @Gradle 7.0にアップデートしてJava16でビルドする
https://yusuke.blog/2021/03/04/2942

現在、安定リリースであるGradle 6.8.xはJava16に対応しておらず、ビルドすると以下のような例外が出ます。
General error during semantic analysis: Unsupported class file major version 60

投稿2021/10/30 04:48

cx20

総合スコア4633

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

cx20

2021/10/30 04:59

Java 17 は出たばかりのようなので、周辺ツールが追い付いていないようです。 Gradle 7.3rc(リリース候補版)で Java 17 をサポートしているようですが、まだいくつか問題があるようです。 <参考> ■ JDK 17 Support / Gradle 7.3.0 https://github.com/grails/grails-core/issues/12152
aaaich

2021/10/30 05:56

ここまで、、調べてくれるとは、、、 ありがとうございます。助かり
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.45%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問